Bug 836190 - oVirt - Admin GUI: Can't attach V1/V2 domains to a V3 (3.1) DC
oVirt - Admin GUI: Can't attach V1/V2 domains to a V3 (3.1) DC
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.3.4
Assigned To: Sergey Gotliv
Daniel Paikov
storage
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 06:05 EDT by Daniel Paikov
Modified: 2016-02-10 12:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 03:17:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-06-28 06:05:35 EDT
It is currently impossible to attach V1/V2 storage domains to a V3 data center (3.1 compatibility version). This makes the domains unusable since there is no flow to upgrade unattached domains to V3.
Comment 1 Itamar Heim 2013-03-11 17:58:42 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 2 Alissa 2013-08-07 09:45:33 EDT
reopening as it's still happening in 3.3

The scenario can be done in 2 ways in webadmin, in one of them it works, while it the other it doesn't.

Given a V1 unattached storage domain, and a data center of version 3.2 or 3.3 which is up:

1. working scenario- in DataCenters tab, select the data center , go to Storage subtab and press "attach Data" - the unattached V1 domain will appear there.

2. not working scenario - in Storage tab, select the V1 unattached domain, go to its DataCenter subtab, press "attach", the data center 3.2 (or 3.3) will not appear there.

(in code - StorageDataCenterListModel checks that storagedomain version == data center version - which is the wrong condition)
Comment 3 Ayal Baron 2013-10-08 03:17:20 EDT
Unattached domains are empty by definition so just delete and recreate them.
Comment 4 Alissa 2013-10-08 03:43:39 EDT
(In reply to Ayal Baron from comment #3)
> Unattached domains are empty by definition so just delete and recreate them.

There's no need to delete a domain (how that will help?) if it can be attached from Data Centers tab.
see above:
"working scenario- in DataCenters tab, select the data center , go to Storage subtab and press "attach Data" - the unattached V1 domain will appear there."

Also, since REST is creating the domains as V1 (see bug https://bugzilla.redhat.com/994569), if users recreate the domain with REST, it won't help deleting it because it will be created again as V1 and the attach won't work again from storage tab in UI.

Note You need to log in before you can comment on or make changes to this bug.